# Class: Theme.Theme

Defined in: | node_modules/grunt-codo/node_modules/codo/themes/default/lib/theme.coffee

## Variables Summary

options =

      [
        {
          name: 'private',
          alias: 'p',
          describe: 'Show privates',
          boolean: true,
          "default": false
        }, {
          name: 'analytics',
          alias: 'a',
          describe: 'The Google analytics ID',
          "default": false
        }, {
          name: 'title',
          alias: 't',
          describe: 'HTML Title',
          "default": 'CoffeeScript API Documentation'
        }
      ]

## Class Method Summary

- . (void) compile(environment)

## Instance Method Summary

- # (void) compile()
- # (void) awareOf(needle) HELPERS
- # (void) reference(needle, prefix)
- # (void) anchorFor(entity)
- # (void) pathFor(kind, entity, prefix = '')
- # (void) activate(text, prefix, limit = false)
- # (void) generateBreadcrumbs(entries = [])
- # (void) calculatePath(filename)
- # (void) render(source, destination, context = {})
- # (void) renderAlphabeticalIndex() Generate the alphabetical index of all classes and mixins.
- # (void) renderIndex()
- # (void) renderClasses()
- # (void) renderMixins()
- # (void) renderFiles()
- # (void) renderExtras()
- # (void) renderFuzzySearchData()

## Class Method Details

. (void) compile(environment)

## Constructor Details

# (void) constructor(environment)

## Instance Method Details

# (void) compile()

# (void) awareOf(needle)

HELPERS

# (void) reference(needle, prefix)

# (void) anchorFor(entity)

# (void) pathFor(kind, entity, prefix = '')

# (void) activate(text, prefix, limit = false)

# (void) calculatePath(filename)

# (void) render(source, destination, context = {})

# (void) renderAlphabeticalIndex()

Generate the alphabetical index of all classes and mixins.

# (void) renderIndex()

# (void) renderClasses()

# (void) renderMixins()

# (void) renderFiles()

# (void) renderExtras()

# (void) renderFuzzySearchData()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input